[Python-modules-commits] r17293 - in packages/python-docutils/trunk/debian (2 files)
jwilk at users.alioth.debian.org
jwilk at users.alioth.debian.org
Sun Jun 5 21:56:35 UTC 2011
Date: Sunday, June 5, 2011 @ 21:56:35
Author: jwilk
Revision: 17293
Add postinst snippet do deal with a python-support bug (it cannot replace directory with a regular file).
Added:
packages/python-docutils/trunk/debian/python-docutils.postinst
Modified:
packages/python-docutils/trunk/debian/changelog
Modified: packages/python-docutils/trunk/debian/changelog
===================================================================
--- packages/python-docutils/trunk/debian/changelog 2011-06-05 21:18:19 UTC (rev 17292)
+++ packages/python-docutils/trunk/debian/changelog 2011-06-05 21:56:35 UTC (rev 17293)
@@ -2,6 +2,8 @@
* Drop 14_distutils_setup.diff and build-dependency on python-setuptools, no
longer needed.
+ + Add postinst snippet do deal with a python-support bug (it cannot
+ replace directory with a regular file).
* Bump standards version to 3.9.1, no changes needed.
* Strip âdebian/tmpâ prefix from debian/*.install files.
* Drop preinst scripts to remove python-central leftovers; not needed
@@ -10,7 +12,7 @@
* Remove files created by the test suite in the clean target.
* Move all data files to /usr/share/docutils/.
- -- Jakub Wilk <jwilk at debian.org> Sun, 05 Jun 2011 23:17:51 +0200
+ -- Jakub Wilk <jwilk at debian.org> Sun, 05 Jun 2011 23:38:05 +0200
python-docutils (0.7-2) unstable; urgency=low
Added: packages/python-docutils/trunk/debian/python-docutils.postinst
===================================================================
--- packages/python-docutils/trunk/debian/python-docutils.postinst (rev 0)
+++ packages/python-docutils/trunk/debian/python-docutils.postinst 2011-06-05 21:56:35 UTC (rev 17293)
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+
+# python-support prior to 1.0.14 doesn't correctly handle replacing directory
+# with a regular file. The following snippet works around this bug:
+if [ "$1" = configure ]
+then
+ for pydir in /usr/lib/pymodules/python2.*/
+ do
+ if [ -d $pydir/docutils-0.7.egg-info/ ]
+ then
+ rm -rf $pydir/docutils-0.7.egg-info/
+ fi
+ done
+fi
+
+#DEBHELPER#
More information about the Python-modules-commits
mailing list